Loading...
Searching...
No Matches
MagickUtilities.h File Reference

Header file for MagickUtilities (IM6/IM7 compatibility overlay) More...

`#include <cassert>`
`#include <memory>`
`#include <QImage>`
`#include "Magick++.h"`

Go to the source code of this file.

## Namespaces

namespace | openshot
| This namespace is the default namespace for all code in the openshot library.

## Macros

#define | MAGICK_DRAWABLE std::list<Magick::Drawable>
#define | MAGICK_IMAGE_ALPHA(im, a) im->matte((a))
#define | NEW_MAGICK (MagickLibVersion >= 0x700)

## Functions

std::shared_ptr< QImage > | openshot::Magick2QImage (std::shared_ptr< Magick::Image >)
| Convert Magick::Image to QImage.
std::shared_ptr< Magick::Image > | openshot::QImage2Magick (std::shared_ptr< QImage >)
| Convert QImage to Magick::Image.

## Detailed Description

Header file for MagickUtilities (IM6/IM7 compatibility overlay)

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org
  FeRD (Frank Dana) ferdn.nosp@m.yc@g.nosp@m.mail..nosp@m.com

Definition in file MagickUtilities.h.

## Macro Definition Documentation

## MAGICK_DRAWABLE

#define MAGICK_DRAWABLE std::list<Magick::Drawable>

Definition at line 53 of file MagickUtilities.h.

## MAGICK_IMAGE_ALPHA

#define MAGICK_IMAGE_ALPHA | ( |  | im,
|  |  | a
| ) |  | im->matte((a))

Definition at line 44 of file MagickUtilities.h.

## NEW_MAGICK

#define NEW_MAGICK (MagickLibVersion >= 0x700)

Definition at line 36 of file MagickUtilities.h.